Skip to navigation

Delete Expected Power Shelf

View as Markdown

Delete an existing Expected Power Shelf by ID.

Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix.

Infrastructure Provider must own the Expected Power Shelf.

Alternatively, Tenant Admins with TargetedInstanceCreation capability can also delete Expected Power Shelves if they have an account with the Site’s Infrastructure Provider.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
expectedPowerShelfIdstringRequired
ID of the Expected Power Shelf

Response

Expected Power Shelf deleted successfully

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error